(define-module (geany-external-tools-plugin)
  #:use-module (guix packages)
  #:use-module (guix git-download)
  #:use-module (guix build-system gnu)
  #:use-module (guix licenses)
  #:use-module (gnu packages gtk)
  #:use-module (gnu packages gnome)
  #:use-module (gnu packages glib)
  #:use-module (warrah packages geany)
  #:use-module (gnu packages pkg-config))

(define-public geany-external-tools-plugin
  (let ((commit "72b2d854dfa738b2b51d193da18bbee94e4765b5")
        (revision "1"))
  (package
    (name "geany-external-tools-plugin")
    (version (git-version "0.1" revision commit))
        (source (origin
              (method git-fetch)
              (uri (git-reference
                    (url "https://forge.monarch-pass.net/malacoda/geany-external-tools-plugin")
                    (commit commit)
                    (recursive? #t)))
              (sha256
               (base32
                "11jl86yj0wm15zvv36cjk92jn20sqqd5l3wqyj1mx0ahczrfjv2h"))
              (file-name (git-file-name name version))))
    (build-system gnu-build-system)
    (arguments
     `(#:tests? #f
       #:phases
       (modify-phases %standard-phases
         (delete 'configure)
         (add-before 'build 'set-variables
           (lambda _
               (setenv "GEANY_PLUGIN_DIR" 
                    (string-append (assoc-ref %outputs "out")
                                   "/lib/geany"))
               #t)))))
    (native-inputs
     `(("pkg-config" ,pkg-config)))
    (inputs
     `(("gtk+" ,gtk+)
       ("geany" ,geany)))
    (synopsis "Geany external tools plugin")
    (description "Allow external tools to be integrated into many common actions.")
    (home-page "https://forge.monarch-pass.net/malacoda/geany-external-tools-plugin")
    (license gpl2+))))

geany-external-tools-plugin
